Fetch records
curl --request GET \
--url https://api.qobra.co/v1/tables/{data_table_key}/records \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.qobra.co/v1/tables/{data_table_key}/records"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.qobra.co/v1/tables/{data_table_key}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3026,
"next": "https://api.qobra.co/v1/tables/opportunities/records?limit=2000&offset=2000",
"data": [
{
"id": "6545110915808dbcc34531ef",
"name": "Great opportunity",
"owner_id": "user@company.fr",
"close_date": "2024-06-25T09:58:32Z",
"product": "Product A",
"amount": 4000,
"amount_currency": "EUR",
"deal_types": "New Business, Existing Business"
},
"..."
]
}Data table
Fetch records
Retrieves table records data
GET
/
v1
/
tables
/
{data_table_key}
/
records
Fetch records
Pagination
This endpoint is paginated using parameters offset and limit The “next” key in the response allow you to easily follow pagination to get the next batch of recordsVariable api keys
This endpoint is based on dynamic fields. This mean that all annotations that look like<variable-key>, will have to or will be replaced by their
actual API keys.Authorizations
Path Parameters
Used to identify the data table
Query Parameters
Optional (minimum:0 - maximum:9223372036854775807)
Required range:
0 <= x <= 9223372036854776000Optional (minimum:0 - maximum:2000): if set to 0 return total count only
Required range:
0 <= x <= 2000Was this page helpful?